{% extends "base.html" %}
{% load custom_tags %}

{% block content %}
<h1 align="right" style="font-size: 100%" id='date_time' >{% now "SHORT_DATETIME_FORMAT" %}</h1>
<table class="table">
    <tr>
        <th>Course</th>
        <th>Students quantity</th>
        <th>The youngest student age</th>
        <th>The oldest student age</th>
        <th>Average students age</th>
        <th>Group lead</th>

    </tr>
    {% for group in groups %}
    <tr style="background-color: {% cycle "lightgrey" "white" %}">
        <td>
             <a href="{% url 'update_group' group.id %}">{{ group.course }}</a>
        </td>{# Group name(trying django comments here) #}
        <td>{{ group.stq }}</td>{# field with count of students #}
        <td>{{ group.stmin }}</td>{# field for young student #}
        <td>{{ group.stmax }}</td>{# field for experienced student #}
        <td>{{ group.stavg }}</td>{# field for average group age #}
        <td>
             {% for lead in group.group_lead.all %}
                {{ lead.name}}
             {% endfor %}
        </td>
    {%  endfor %}
</table>
{% endblock content %}

